SDL_IOprintf(3)

NAME
SDL_IOprintf - Print to an SDL_IOStream data stream.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

size_t SDL_IOprintf(SDL_IOStream *context, const char *fmt, ...);

DESCRIPTION
This function does formatted printing to the stream.

FUNCTION PARAMETERS

context
    a pointer to an SDL_IOStream structure.

fmt a printf() style format string.

... additional parameters matching % tokens in the fmt string, if any.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_IOvprintf(3), SDL_WriteIO(3)